/***********************************************************************
 * This file is part of module_imageviewer.
 *
 * module_imageviewer is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * module_imageviewer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with module_imageviewer.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef LOADIMAGEINFO_H
#define LOADIMAGEINFO_H

#include "smartpointers.h"

struct LoadImageInfo
{
    LoadingStatus status;
    ImageDataPtr file;
    MiscTools::pQPixmap pixmap;
    int addDesiredRotation;

    LoadImageInfo(ImageDataPtr ptr)
        : status(LoadingStatusNotLoaded)
        , file(ptr)
        , pixmap(0)
        , addDesiredRotation(0)
    {}

    bool operator ==(const LoadImageInfo& b)
    {
        // this is for the "contains" operator, only compare path and basename
        return file->getFileInfo().canonicalPath() == b.file->getFileInfo().canonicalPath()
                && file->getFileInfo().completeBaseName().toLower() == b.file->getFileInfo().completeBaseName().toLower();
    }
};


#endif // LOADIMAGEINFO_H
