/***********************************************************************
 * This file is part of module_misc.
 *
 * module_misc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * module_misc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with module_misc.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef ORIENTATIONJPG_H
#define ORIENTATIONJPG_H

namespace MiscTools
{
    
/**
 * Differen possible rotations of exif tags;
 * refert to http://sylvana.net/jpegcrop/exif_orientation.html
 * for instance; "Exif Orientation Tag (Feb 17 2002)"
 *  val     0th row     0th col
 *    1     top         left side
 *    2     top         right side
 *    3     bottom      right side
 *    4     bottom      left side
 *    5     left side	top
 *    6     right side	top
 *    7     right side	bottom
 *    8     left side	bottom
 */
enum OrientationJPG
{
    OrientationJPG__first = 0,
    OrientationJPG_normal = 1,
    OrientationJPG_flippedH = 2,
    OrientationJPG_Rot180 = 3,
    OrientationJPG_flippedV = 4,
    OrientationJPG_flippedHRotLeft = 5,
    OrientationJPG_rotLeft = 6,
    OrientationJPG_flippedHRotRight = 7,
    OrientationJPG_rotRight = 8,
    OrientationJPG__last
};

} // end namespace MiscTools

#endif // ORIENTATIONJPG_H
