/***********************************************************************
 * This file is part of module_progressdialog.
 *
 * module_progressdialog is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * module_progressdialog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with module_progressdialog.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef PROGRESSDIALOG_H
#define PROGRESSDIALOG_H

#include <QDialog>
#include <QTime>

namespace Ui {
    class ProgressDialog;
}

#define UPDATE_EVERY_MS 100

class ProgressDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ProgressDialog(QWidget *parent = 0);
    ~ProgressDialog();

    void setMinMax(const int min, const int max);
    void setLabel(const QString& label);
    void setValue(const int value);
    bool isCanceled();
    void resetCancel();
    void setTitle(const QString& title);

    bool checkUpdateWanted() const;

signals:
    void canceled();

private slots:
    void on_buttonBox__rejected();
    void closeEvent ( QCloseEvent * e );

private:
    Ui::ProgressDialog *ui;
    bool _isCancelled;

    mutable QTime _timer;
};

#endif // PROGRESSDIALOG_H
