#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "videothumbnails.h"

#include <QFileDialog>
#include <QTimer>
#include <QDirIterator>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    connect(VideoThumbnailTools::instance(), SIGNAL(newThumbnail(QString,QImage)),
            this, SLOT(newThumbnail(QString,QImage)));
    connect(VideoThumbnailTools::instance(), SIGNAL(errorThumbnail(QString)),
            this, SLOT(errorThumbnail(QString)));

    //	VideoThumbnailTools::instance()->extractFrame("E:/My Pictures/Privat/Original Bilder/2015/O_2015-02-02 Melbourne to Sydney/O_2015-02-03 Melbourne to Sydney 037.MP4");
	//VideoThumbnailTools::instance()->extractFrame("C:/Users/ruess/Desktop/repoPromotionRuess/trunk/docs/Vortrge/ISPRS2012/video/catadioptric_small.avi");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Desktop/Christina/Australis Kalibrierung A 2D Target/2015-09-22_time_lapse.MP4");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Desktop/ocs-2.3.6/lib/pkp/lib/tinymce/examples/media/sample.mov");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Desktop/ocs-2.3.6/lib/pkp/lib/tinymce/examples/media/sample.avi");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Desktop/tmp/facade.avi");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Desktop/2015-09-22_time_lapse.MP4");
    //VideoThumbnailTools::instance()->extractFrame("/home/ruess/Promotion/code/ISPRS2012_Paper/videoCircles/catadioptric_full.avi");

    QTimer::singleShot(1000, this, SLOT(findVideos()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::findVideos()
{
    ui->lineEdit_fn->setText("searching for videos in home folder");
    QDirIterator it(QDir::homePath(),
                    QStringList() << "*.avi" << "*.mov" << "*.mp4" << "*.AVI" << "*.MOV" << "*.MP4",
                    QDir::Files,
                    QDirIterator::Subdirectories);
    while (it.hasNext()) {
        QString fileName = it.next();
        qDebug() << fileName;
        VideoThumbnailTools::instance()->extractFrame(fileName);
        //break;
    }
    qDebug() << "done";
}

void MainWindow::newThumbnail(QString filename, QImage image)
{
    ui->lineEdit_fn->setText(filename);
    ui->label_im->setPixmap(QPixmap::fromImage(image.scaled(500, 500, Qt::KeepAspectRatio)));
}

void MainWindow::errorThumbnail(QString filename)
{
    ui->lineEdit_fn->setText(filename);
    ui->label_im->setText("error extracting video frame");
}
