/***********************************************************************
 * This file is part of pivot.
 *
 * pivot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * pivot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with pivot.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef ADAPTTIMESDELEGATE_H
#define ADAPTTIMESDELEGATE_H

#include <QItemDelegate>

#include "smartpointers.h"

class AdaptTimesDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    explicit AdaptTimesDelegate(QObject *parent = 0);

    void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;

    QSize sizeHint ( const QStyleOptionViewItem & option, const QModelIndex & index ) const;

public slots:
    void setThumbnailSize(const int size);
    void setAnchorPos(const int pos);
    void setTargetPos(const int pos);

private:
    int _thumbnailSize;
    int _anchorPos;
    int _targetPos;

    MiscTools::pQPixmap _anchor;
    MiscTools::pQPixmap _clock;
};

#endif // ADAPTTIMESDELEGATE_H
