/***********************************************************************
 * This file is part of pivot.
 *
 * pivot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * pivot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with pivot.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#include "dialogaboutpivot.h"
#include "ui_dialogaboutpivot.h"

#include "imagewidget.h"

DialogAboutPivot::DialogAboutPivot(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogAboutPivot)
{
    ui->setupUi(this);

    const int size = 128;
    ui->label_image->setMargin(5);
    ui->label_image->setMinimumSize(size+10, size+10);
    ui->label_image->setMaximumSize(size+10, size+10);
    ui->label_image->setAlignment(Qt::AlignHCenter | Qt::AlignVCenter);
    //ui->label_image->setMaximumSize(size, size);
    ui->label_image->setSizePolicy(QSizePolicy::Fixed, QSizePolicy::Fixed);
    ui->label_image->setPixmap(QPixmap::fromImage(QImage(":images/PhotoOrganizer.png")).scaled(size, size, Qt::KeepAspectRatio));
    this->setSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::MinimumExpanding);
}

DialogAboutPivot::~DialogAboutPivot()
{
    delete ui;
}

void DialogAboutPivot::on_pushButton_done_clicked()
{
    this->close();
}

void DialogAboutPivot::setVersion(const int major, const int minor, const int patch, const int bit)
{
    ui->label_version->setText(tr("version %1.%2.%3 - %4bit version").arg(major).arg(minor).arg(patch).arg(bit));
}

QString DialogAboutPivot::getDonateText() const
{
    return ui->label_donation->text();
}
