/***********************************************************************
 * This file is part of pivot.
 *
 * pivot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * pivot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with pivot.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2015, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef IMAGEVIEWEREXTENDED_H
#define IMAGEVIEWEREXTENDED_H

#include <QLabel>
#include <QVector>

#include "viewimagedialog.h"
#include "imagedataextended.h"

class ViewImageDialogExtended : public ViewImageDialog
{
    Q_OBJECT
public:

    static ViewImageDialogExtended* instance(QWidget *parent=0);
    static void closeInstance();
    ~ViewImageDialogExtended();

    void setNumberOfDestinations(const QStringList &destinations);

public slots:
    void show();

private slots:
    void toggleCopyTargetAction();

    void _updateCopyTargetDisplay();

    void _toggleFullscreen();

    void showInfo();

private:
    QLabel* _copyTargetStatus;

    static ViewImageDialogExtended* _instance;

    int _useNumTargets;
    QStringList _targets;

    QVector<QAction*> _toggleCopyTarget;

    QVector<QLabel*> _targetListsOverlay;

    explicit ViewImageDialogExtended(QWidget *parent = 0);

    bool _infoHasBeenShown;

    QString _styleRed;
    QString _styleGreen;
};

#endif // IMAGEVIEWEREXTENDED_H
